using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            
            int prvi = Convert.ToInt32(Console.ReadLine());
            int drugi = Convert.ToInt32(Console.ReadLine());

            int manji = Math.Min(prvi, drugi);
            int veci = Math.Max(prvi, drugi);

            int br_cifara = 0;
            long br = 0;
            while(manji > 0)
            {
                if(manji % 10 > veci % 10)
                {
                    br += (manji % 10) * (int)Math.Pow(10,br_cifara);
                }
                else if(manji % 10 < veci % 10)
                {
                    br += (veci % 10) * (int)Math.Pow(10, br_cifara);
                }
                else
                {
                    br += (veci % 10) * (int)Math.Pow(10, br_cifara);
                    br_cifara++;
                    br += (veci % 10) * (int)Math.Pow(10, br_cifara);
                }
                br_cifara++;
                manji /= 10;
                veci /= 10;
            }

            while(veci > 0 )
            {
                br += (veci % 10) * (int)Math.Pow(10, br_cifara);
                br_cifara++;
                veci /= 10;
            }

            Console.WriteLine(br);
            Console.ReadLine();      
        }
    }
}